# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateCmdShellCompletion Class Reference

A KCompletion object that completes last ?unquoted? word in the string passed. More...

`#include <katecmd.h>`

Inheritance diagram for KateCmdShellCompletion:

[legend]
Collaboration diagram for KateCmdShellCompletion:

[legend]
List of all members.

## Public Member Functions

QString | makeCompletion (const QString &text)

## Protected Member Functions

void | postProcessMatch (QString *match) const
void | postProcessMatches (QStringList *matches) const
void | postProcessMatches (KCompletionMatches *matches) const

## Detailed Description

A KCompletion object that completes last ?unquoted? word in the string passed.

Dont mistake "shell" for anything related to quoting, this simply mimics shell tab completion by completing the last word in the provided text.

Definition at line 61 of file katecmd.h.

## Member Function Documentation

QString KateCmdShellCompletion::makeCompletion | ( | const QString & | text | ) | `[virtual]`

Finds completions to the given text.

The first match is returned and emitted in the signal match().

Parameters:

  | text | the text to complete

Returns:
  the first match, or QString::null if not found

Reimplemented from KCompletion.

Definition at line 134 of file katecmd.cpp.

References KCompletion::makeCompletion().

The documentation for this class was generated from the following files:

- katecmd.h
- katecmd.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003